Skip to main content
The Articles API allows you to programmatically manage your help center resources and Knowledge Base content. These articles are used as direct context by the AI Agent to formulate RAG-based auto-responses.

GET /articles

Retrieve a list of articles.
integer
default:"50"
Number of articles to return per page. Maximum value is 50.

GET /articles/search

Search for published articles using text queries.
string
required
The text query to search.
integer
default:"50"
The maximum number of hits to return.

GET /articles/{id}

Retrieve details for a single article.
string
required
The unique ID of the article.

POST /articles

Create a new article.
string
required
The title of the article.
string
required
The markdown content of the article.

PUT /articles/{id}

Update an existing article.
string
required
The unique ID of the article.
string
The title of the article.
string
The markdown content of the article.

DELETE /articles/{id}

Delete an article record permanently.
string
required
The unique ID of the article.
A successful deletion returns 204 No Content with an empty response body.